const moduleHome = {
    state: {
        currentWorkspaceID: null,
        selectedGroupID: null,
        currentCustomGroupID: null
    },
    mutations: {
        /* 设置当前工作目录ID */
        setCurrentWorkspaceID: function (state, payload) {
            state.currentWorkspaceID = payload;
        },

        /**
         * 设置当前选中组
         * @param {*} state
         * @param {*} payload
         */
        setSelectedGroupID: function (state, payload) {
            state.selectedGroupID = payload;
        },

        /* 设置当前组ID */
        setCurrentCurstomGroupID: function (state, payload) {
            state.currentCustomGroupID = payload;
        }
    },
    getters: {
        getCurrentCustomGroupID: function (state) {
            return state.currentCustomGroupID;
        }
    }
};

export default moduleHome;