import axios from 'axios';

//---------------------图表相关--------------------------------------

// 控件导入开始
// TODO import BarSingle from './bar-single/index';
import MultiSceneMap from './multi-scene-map/index';

const components = [MultiSceneMap];

// 图表type路径映射 - 用于动态打包charts
const chartTypeDictionary = {
  // TODO BarSingle: './bar-single/index',
  MultiSceneMap: './multi-scene-map/index',
};

// 图表自描述文件
const componentDescribeData = [];
const componentDescribeDataPath = ['./lib/avw-charts/assets/multi-scene-map/multi-scene-map.json'];
componentDescribeDataPath.forEach((d) => {
  componentDescribeData.push(
    new Promise(function (resolve) {
      axios.get(d).then((res) => {
        resolve(res.data);
      });
    })
  );
});

//----------------------scene场景相关---------------------------------

//scene图层自描述文件
const scenelayerDescribeData = [];
const scenelayerDescribeDatapath = [];
scenelayerDescribeDatapath.forEach((d) => {
  scenelayerDescribeData.push(
    new Promise(function (resolve) {
      axios.get(d).then((res) => {
        resolve(res.data);
      });
    })
  );
});

// 多场景地图图层导入开始
// TODO import SceneLandmark from './scene-landmark/scene-landmark.js';
const layerJsDictionary = {};

//----------------------gis图层相关---------------------------------
var gislayerDescribeData = [];

export default {
  components,
  componentDescribeData,
  chartTypeDictionary,
  gislayerDescribeData,
  layerJsDictionary,
  scenelayerDescribeData,
};
