const moduleUser = {
  state: {
    userId: null
  },
  mutations: {
    /**
     * 设置当前登录用户
     * @param {*} state
     * @param {*} payload
     */
    setUser: function(state, payload) {
      state.userId = payload;
    },
    /**
     * 登出当前登录用户
     * @param {*} state
     */
    logOut(state) {
      state.userId = null;
    }
  }
};

export default moduleUser;
