module.exports = {
  projectEditor: {
    Projects: 'Projects',
    DataMarket: 'DataMarket',
    ModelMarket: 'ModelMarket',
    TemplateMarket: 'TemplateMarket',
    CreateNewProject: 'CreateNewProject',
    CanCreateProjects: 'You can also create {xx} projects',
    ExpandQuantity: 'Expand the quantity',
    Unpublished: 'Unpublished',
    Published: 'Published',
    SortedByName: 'SortedByName',
    SortedByCreateTime: 'SortedByCreateTime',
    SortedByUpdateTime: 'SortedByUpdateTime',
    Open: 'Open',
    Preview: 'Preview',
    Move: 'Move',
    Duplicate: 'Duplicate',
    Delete: 'Delete',
    ProjectName: 'ProjectName',
    ProjectEnglishName: 'ProjectEnglishName',
    RootNode: 'RootNode',
    OK: 'OK',
    Help: 'Help',
    Cancel: 'Cancel',
    Page: 'Page',
    CanCreatePages: 'You can also create {xx} pages',
    Studio: 'Studio',
    Components: 'Components',
    Controls: 'Controls',
    Parameters: 'Parameters',
    DataAdapter: 'DataAdapter',
    Dataset: 'Dataset',
    Settings: 'Settings',
    Preview: 'Preview',
    Publish: 'Publish',
    SetAsStartPage: 'SetAsStartPage',
    Hide: 'Hide',
    Lock: 'Lock',
    LockedBy: 'Locked by {XXX}',
    Edit: 'Edit',
    ForceUnlock: 'ForceUnlock',
    HiddenPages: 'HiddenPages',
    MakeVisible: 'Makevisible'
  },
  pageEditor: {
    GoBack: 'Go back',
    Elements: 'Elements',
    Controls: 'Controls',
    Property: 'Property',
    objList: '', //暂定
    controlList: '', //暂定
    BaseState: 'Base state',
    Common: 'Common',
    Proportion: 'Proportion',
    Dashboard: 'Dashboard',
    Distribution: 'Distribution',
    Relation: 'Relation',
    Comparison: 'Comparison',
    Table: 'Table',
    Timeline: 'Timeline',
    Map: 'Map',
    Media: 'Media',
    BuiltInControl: 'Controls',
    Custom: 'Custom',
    Component: 'Component',
    '3DModel': '3DModel',
    MoveToFront: 'MoveToFront',
    MoveForward: 'MoveForward',
    MoveBackward: 'MoveBackward',
    Rename: 'Rename',
    Group: 'Group',
    Ungroup: 'Ungroup',
    CollectionAsComponent: 'Collection as component',
    AutoFit: 'Auto fit',
    PageProperty: 'Page',
    PageName: 'Name',
    PageSize: 'Size',
    PageHeight: 'Height',
    Width: 'Width',
    Height: 'Height',
    PageScale: 'Scale',
    FullScreenFill: 'Fill',
    AbsoluteSize: 'Absolute',
    UniformToFill: 'Uniform to fill',
    UniformToFillWidth: 'Uniform to fill width',
    UniformToFillHeigh: 'Uniform to fill height',
    GridSpacing: 'Grid',
    LayoutAnimation: 'Animation',
    TopLeftToBottomRight: 'Top left to bottom right',
    TopToBottom: 'TopToBottom',
    LeftToRight: 'LeftToRight',
    None: 'None',
    Duration: 'Duration',
    BackgroudColor: 'BackgroudColor',
    BackgroudImage: 'BackgroudImage',
    Repeat: 'Repeat',
    Stretch: 'Stretch',
    BrowseBackgroundImage: 'Browse…',
    PageCover: 'Cover Image',
    TakeCurrentShapshot: 'Shapshot',
    Upload: 'Upload',
    PC: 'PC',
    Help: 'Help',
    Blank: 'Blank',
    TemplateLibrary: 'TemplateLibrary',
    BusinessTemplate: 'Business',
    StandardTemplate: 'Standard',
    Create: 'Create',
    CreatePage: 'Create new page'
  },
  publishEditor: {
    CanCreatePages: 'You can also create {X} pages',
    ExpandQuantity: 'Expand the quantity',
    publishType: 'publishType', //暂定
    Everyone: 'Everyone',
    AccessByCode: 'AccessByCode',
    Private: 'Private',
    AccessByRegisteredUsers: 'AccessByRegisteredUsers',
    AdministratorAccount: '填写管理员账号',
    Verify: 'Verify',
    PublishDevices: 'PublishDevices',
    PageView: 'PageView',
    PVPerDay: 'pv/day',
    PublishToCommunityAtTheSameTime: 'PublishToCommunityAtTheSameTime',
    Tag: 'Tag',
    PublishToCommunity: 'PublishToCommunity',
    Industry: 'Industry',
    Devices: 'Devices',
    Content: 'Content',
    Custom: 'Custom',
    Mobile: 'Mobile',
    CityMap: 'CityMap',
    CityModel: 'CityModel',
    AddTag: 'AddTag',
    NeedPay: 'NeedPay'
  },
  // 暂用
  oldProjectEditor: {
    // project: 'Project',
    // dataMarket: 'DataMarket',
    // modelMarket: 'ModelMarket',
    // templateMarket: 'TemplateMarket',
    // projectSetting: 'Setting',
    refresh: 'Refresh',
    // previewProject: 'Preview',
    // publishProject: 'Publish',
    unlockparameters: 'UnlockParameters',
    lockparameters: 'LockParameters',
    timeparameter: 'TimeParameter',
    spatialparameters: 'SpatialParameters',
    categoryparameter: 'CategoryParameter',
    idparameter: 'IDParameter',
    parametername: 'ParameterName',
    parametersetting: 'ParameterSetting',
    enumerationsettings: 'EnumerationSettings',
    receiveunsetenumerationvalue: 'Receive unsetenum eration value',
    import: 'Import',
    export: 'export',
    emptyall: 'Empty All',
    pleaseenterthecontent: 'Please enter the content',
    addnewparameter: 'Add new parameter',
    parentnode: 'Parent node',
    rootnode: 'Root node',
    // yes: 'Yes',
    // no: 'No',
    saveedit: 'Save edit',
    starttime: 'StartTime',
    endtime: 'EndTime',
    viewingdistance: 'viewingDistance',
    fieldofviewangle: 'FOV',
    pitchangle: 'Pitch angle',
    rotationangle: 'Rotation angle',
    restoredefault: 'default',
    longitude: 'longitude',
    latitude: 'latitude',
    altitude: 'altitude',
    addenumeration: 'addEnum',
    parametertype: 'parameterType',
    timeformat: 'Time format',
    // page: 'page',
    control: 'control',
    datasettings: 'Data settings',
    interfacename: 'interface name',
    updategranularity: 'Update granularity',
    donotupdate: 'not update',
    datatype: 'data type',
    analogdata: 'Analog data',
    intermediatelibrary: 'intermediate Library'
  }
};
