module.exports = {
  projectEditor: {
    Projects: '项目',
    DataMarket: '数据市场',
    ModelMarket: '模型市场',
    TemplateMarket: '模板市场',
    CreateNewProject: '新建可视化项目',
    CanCreateProjects: '还可创建{xx}个项目',
    ExpandQuantity: '扩充项目数量',
    Unpublished: '未发布',
    Published: '已发布',
    SortedByName: '按名称排序',
    SortedByCreateTime: '按创建时间排序',
    SortedByUpdateTime: '按修改时间排序',
    Open: '进入项目',
    Preview: '预览',
    Move: '移动',
    Duplicate: '复制',
    Delete: '删除',
    ProjectName: '项目名称',
    ProjectEnglishName: '英文名称',
    RootNode: '根节点',
    OK: '确定',
    Help: '帮助中心',
    Cancel: '取消',
    Page: '页面',
    CanCreatePages: '还可创建{xx}个页面',
    Studio: '页面编辑',
    Components: '组件编辑',
    Controls: '控件编辑',
    Parameters: '参数编辑',
    DataAdapter: '接口编辑',
    Dataset: '数据编辑',
    Settings: '项目设置',
    Preview: '预览项目',
    Publish: '发布项目',
    SetAsStartPage: '设为首页',
    Hide: '隐藏',
    Lock: '锁定',
    LockedBy: '{XXX}正在编辑',
    Edit: '编辑',
    ForceUnlock: '强制解锁',
    HiddenPages: '隐藏页面',
    MakeVisible: '反隐藏'
  },
  pageEditor: {
    GoBack: '返回',
    Elements: '对象列表',
    Controls: '控件列表',
    Property: '属性面板',
    BaseState: '基础状态',
    Common: '常规图',
    Proportion: '比例图',
    Dashboard: '仪表盘',
    Distribution: '分布图',
    Relation: '关系图',
    Comparison: '比较图',
    Table: '表格',
    Timeline: '时间图',
    Map: '地图',
    Media: '多媒体',
    BuiltInControl: '系统控件',
    Custom: '自定义控件',
    Component: '组件',
    '3DModel': '模型',
    MoveToFront: '置顶',
    MoveForward: '上一层',
    MoveBackward: '下一层',
    Rename: '重命名',
    Group: '成组',
    Ungroup: '解组',
    CollectionAsComponent: '收藏为组件',
    AutoFit: '自适应',
    PageProperty: '页面属性',
    PageName: '页面名称',
    PageSize: '页面尺寸',
    PageHeight: '页面总高',
    // 从此开始 8.28
    Width: '宽',
    Height: '高',
    PageScale: '页面缩放',
    FullScreenFill: '全屏拉伸缩放',
    AbsoluteSize: '固定分辨率',
    UniformToFill: '全屏等比缩放',
    UniformToFillWidth: '等比缩放宽度自适应',
    UniformToFillHeigh: '等比缩放高度自适应',
    GridSpacing: '栅格间距',
    LayoutAnimation: '前景动画',
    TopLeftToBottomRight: '左上至右下',
    TopToBottom: '上至下',
    LeftToRight: '左至右',
    None: '无',
    Duration: '总时长',
    BackgroudColor: '背景颜色',
    BackgroudImage: '背景图片',
    Repeat: '重复',
    Stretch: '拉伸',
    BrowseBackgroundImage: '选择背景图片',
    PageCover: '页面封面',
    TakeCurrentShapshot: '截取当前',
    Upload: '上传',
    PC: 'PC端',
    Help: '帮助',
    Blank: '空白页',
    TemplateLibrary: '模板库',
    BusinessTemplate: '行业模板',
    StandardTemplate: '标准模板',
    Create: '创建',
    CreatePage: '新建页面'
  },
  publishEditor: {
    CanCreatePages: '本项目还可创建{X}个页面',
    ExpandQuantity: '扩充页面数量',
    publishType: '发布类别', //暂定
    Everyone: '公开访问',
    AccessByCode: '密码访问',
    Private: '私有账号',
    AccessByRegisteredUsers: '公开注册',
    AdministratorAccount: '填写管理员账号',
    Verify: '验证账号',
    PublishDevices: '发布设备',
    PageView: '访问量',
    PVPerDay: '{X}次/日',
    PublishToCommunityAtTheSameTime: '同时发布到社区', //暂定
    Tag: '项目标签',
    PublishToCommunity: '发布到社区',
    Industry: '所属行业',
    Devices: '展示平台',
    Content: '内容',
    Custom: '自定义',
    Mobile: '手机端',
    CityMap: '城市地图',
    CityModel: '城市模型',
    AddTag: '添加标签',
    NeedPay: '结算金额'
  },
  // 暂用
  oldProjectEditor: {
    // project: '项目',
    // dataMarket: '数据市场',
    // modelMarket: '模型市场',
    // templateMarket: '模板市场',
    // projectSetting: '项目设置',
    refresh: '刷新',
    // previewProject: '预览项目',
    // publishProject: '发布项目',
    unlockparameters: '解锁参数',
    lockparameters: '锁定参数',
    timeparameter: '时间参数',
    spatialparameters: '空间参数',
    categoryparameter: '类别参数',
    idparameter: 'ID参数',
    parametername: '参数名称',
    parametersetting: '参数设置',
    enumerationsettings: '枚举设置',
    receiveunsetenumerationvalue: '接收未设置的枚举值',
    import: '导入',
    export: '导出',
    emptyall: '清空所有',
    pleaseenterthecontent: '请输入内容',
    addnewparameter: '添加新参数',
    parentnode: '父节点',
    rootnode: '根节点',
    // yes: '确定',
    // no: '取消',
    saveedit: '保存',
    starttime: '开始时间',
    endtime: '结束时间',
    viewingdistance: '视角距离',
    fieldofviewangle: '视场角',
    pitchangle: '俯仰角',
    rotationangle: '旋转角',
    restoredefault: '恢复默认',
    longitude: '经度',
    latitude: '纬度',
    altitude: '高度',
    addenumeration: '添加枚举',
    parametertype: '参数类型',
    timeformat: '时间格式',
    // page: '页面',
    control: '控件',
    datasettings: '数据设置',
    interfacename: '接口名称',
    updategranularity: '更新粒度',
    donotupdate: '不更新',
    datatype: '数据类型',
    analogdata: '模拟数据',
    intermediatelibrary: '中间库'
  }
};
