import importData from './data.js';

const install = function(Vue) {
  importData.components.map((component) => {
    Vue.component(component.name, component);
  });
};

// 支持使用标签方式引用
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
  VERSION: 3.0,
  install,
  ...importData,
  ...importData.components,
};
